Yarn install stuck on rollbackFailedOptional: sill install readGlobalPackageData

cli
triaged

(Armand Fardeau) #1

Hi all, I upgraded to OSX to Mojave recently, since that, NPM is not working anymore.
I can’t install a single package. Does someone have an idea to deal with this issue?

What I Wanted to Do

I tried to install yarn with npm install -g yarn -ddd

What Happened Instead

npm install -g yarn -ddd
npm info it worked if it ends with ok
npm verb cli [ '/Users/armandfardeau/.nvm/versions/node/v8.12.0/bin/node',
npm verb cli   '/Users/armandfardeau/.nvm/versions/node/v8.12.0/bin/npm',
npm verb cli   'install',
npm verb cli   '-g',
npm verb cli   'yarn',
npm verb cli   '-ddd' ]
npm info using npm@6.4.1
npm info using node@v8.12.0
npm verb npm-session a0fe223d18fe7342
npm sill install loadCurrentTree
npm sill install readGlobalPackageData
βΈ¨β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘β–‘βΈ© β § rollbackFailedOptional: sill install readGlobalPackageData

Details

I already clean cache and use https instead of git://

Platform Info

macOS Mojave version 10.14

$ npm --versions
{ decidim: '0.12.2',
  npm: '6.4.1',
  ares: '1.10.1-DEV',
  cldr: '32.0',
  http_parser: '2.8.0',
  icu: '60.1',
  modules: '57',
  napi: '3',
  nghttp2: '1.32.0',
  node: '8.12.0',
  openssl: '1.0.2p',
  tz: '2017c',
  unicode: '10.0',
  uv: '1.19.2',
  v8: '6.2.414.66',
  zlib: '1.2.11' }
$ node -p process.platform
darwin

(Joshua) #2

What is the result of npm prefix -g?